> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List env vars

> List environment variables for an app or worker



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /hosting/env-vars
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /hosting/env-vars:
    get:
      tags:
        - Hosting - Env Vars
      summary: List env vars
      description: List environment variables for an app or worker
      parameters:
        - in: query
          name: appUuid
          schema:
            title: App UUID
            description: Identifier of the app whose env vars to list.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Identifier of the app whose env vars to list.
        - in: query
          name: workerUuid
          schema:
            title: Worker UUID
            description: Identifier of the worker whose env vars to list.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Identifier of the worker whose env vars to list.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  envVars:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            uuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            workspaceUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            key:
                              type: string
                            value:
                              anyOf:
                                - type: string
                                - type: 'null'
                            isSecret:
                              type: boolean
                            userUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            deletedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                            kind:
                              type: string
                              const: app
                            appUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          required:
                            - uuid
                            - workspaceUuid
                            - key
                            - value
                            - isSecret
                            - userUuid
                            - createdAt
                            - updatedAt
                            - deletedAt
                            - kind
                            - appUuid
                          additionalProperties: false
                        - type: object
                          properties:
                            uuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            workspaceUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            key:
                              type: string
                            value:
                              anyOf:
                                - type: string
                                - type: 'null'
                            isSecret:
                              type: boolean
                            userUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            deletedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                            kind:
                              type: string
                              const: worker
                            workerUuid:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          required:
                            - uuid
                            - workspaceUuid
                            - key
                            - value
                            - isSecret
                            - userUuid
                            - createdAt
                            - updatedAt
                            - deletedAt
                            - kind
                            - workerUuid
                          additionalProperties: false
                      type: object
                    title: Environment variables
                    description: List of environment variables (secrets are masked).
                required:
                  - envVars
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````